Update
curl --request PUT \
--url https://api.app.fleetit.com/v2/fleet/settings/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_fee": null,
"invoice_logo": null,
"street": "Street Address",
"zip_code": "12345",
"city": "City",
"country": "Country",
"summary_email_frequency": "WEEKLY",
"driver_invoice_frequency": "WEEKLY",
"driver_invoice_amount_choice": "CASH_COST",
"amount_override": null
}
'import requests
url = "https://api.app.fleetit.com/v2/fleet/settings/"
payload = {
"custom_fee": None,
"invoice_logo": None,
"street": "Street Address",
"zip_code": "12345",
"city": "City",
"country": "Country",
"summary_email_frequency": "WEEKLY",
"driver_invoice_frequency": "WEEKLY",
"driver_invoice_amount_choice": "CASH_COST",
"amount_override": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_fee: null,
invoice_logo: null,
street: 'Street Address',
zip_code: '12345',
city: 'City',
country: 'Country',
summary_email_frequency: 'WEEKLY',
driver_invoice_frequency: 'WEEKLY',
driver_invoice_amount_choice: 'CASH_COST',
amount_override: null
})
};
fetch('https://api.app.fleetit.com/v2/fleet/settings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_fee": null,
"invoice_logo": null,
"street": "Street Address",
"zip_code": "12345",
"city": "City",
"country": "Country",
"summary_email_frequency": "WEEKLY",
"driver_invoice_frequency": "WEEKLY",
"driver_invoice_amount_choice": "CASH_COST",
"amount_override": null,
"has_driver_invoice": null
}Settings
Update
Update the settings of the fleet.
PUT
/
v2
/
fleet
/
settings
/
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Example:
null
Example:
null
Example:
"Street Address"
Example:
"12345"
Example:
"City"
Example:
"Country"
Available options:
NONE, DAILY, WEEKLY, MONTHLY Example:
"WEEKLY"
Available options:
NONE, DAILY, WEEKLY, MONTHLY Example:
"WEEKLY"
Available options:
REAL_COST, CASH_COST, CUSTOM_FEE Example:
"CASH_COST"
Available options:
CASH_COST Example:
null
Response
200 - application/json
Successful response
Example:
null
Example:
null
Example:
"Street Address"
Example:
"12345"
Example:
"City"
Example:
"Country"
Example:
"WEEKLY"
Example:
"WEEKLY"
Example:
"CASH_COST"
Example:
null
Example:
null
Was this page helpful?
⌘I

